%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% baposter Landscape Poster
% LaTeX Template
% Version 1.0 (11/06/13)
%
% baposter Class Created by:
% Brian Amberg (baposter@brian-amberg.de)
%
% This template has been downloaded from:
% http://www.LaTeXTemplates.com
%
% License:
% CC BY-NC-SA 3.0 (http://creativecommons.org/licenses/by-nc-sa/3.0/)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[portrait,a0paper,fontscale=0.275]{baposter} % Adjust the font scale/size here

\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[french]{babel}

\usepackage{graphicx} % Required for including images
\graphicspath{{figures/}} % Directory in which figures are stored

\usepackage{amsmath} % For typesetting math
\usepackage{amssymb} % Adds new symbols to be used in math mode

\usepackage{booktabs} % Top and bottom rules for tables
\usepackage{enumitem} % Used to reduce itemize/enumerate spacing
\usepackage{palatino}%eulervm} % Use the Palatino font
\usepackage[font=small,labelfont=bf]{caption} % Required for specifying captions to tables and figures
\usepackage{multicol} % Required for multiple columns
\setlength{\columnsep}{1.5em} % Slightly increase the space between columns
\setlength{\columnseprule}{0mm} % No horizontal rule between columns

\usepackage{pgfplots}
\pgfplotsset{compat=newest}
\usepackage{tikz}
\usetikzlibrary{patterns, shapes, arrows, shapes.multipart}
\usepackage{url}

\newcommand{\compresslist}{ % Define a command to reduce spacing within itemize/enumerate environments, this is used right after \begin{itemize} or \begin{enumerate}
\setlength{\itemsep}{1pt}
\setlength{\parskip}{0pt}
\setlength{\parsep}{0pt}
}
%%%Perso:
\usepackage{enumitem}
\usepackage{stmaryrd}
\usepackage{subfig}
%\usepackage[tworuled, linesnumbered, vlined]{algorithm2e}
\usepackage[french,onelanguage, ruled, linesnumbered, vlined]{algorithm2e}
\SetAlFnt{\small}
\DeclareMathOperator*{\argmax}{\arg\!\max}
\DeclareMathOperator*{\argmaxd}{\arg\!\max 2}

\definecolor{bleuUni}{RGB}{0, 157, 224}
\definecolor{marronUni}{RGB}{68, 58, 49}

\input{colors}
\usepackage{etoolbox}
\usepackage{float}

\usepackage{lipsum}
\usepackage{multicol}
\usepackage{multirow}
\usepackage{array}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{enumitem}

\begin{document}

\begin{poster}
	{
		columns=6,
		headerborder=closed, % Adds a border around the header of content boxes
		colspacing=1.1em, % Column spacing
		bgColorOne=white, % Background color for the gradient on the left side of the poster
		bgColorTwo=white, % Background color for the gradient on the right side of the poster
		borderColor=bleuUni, % Border color
		headerColorOne=marronUni, % Background color for the header in the content boxes (left side)
		headerColorTwo=bleuUni, % Background color for the header in the content boxes (right side)
		headerFontColor=white, % Text color for the header text in the content boxes
		boxColorOne=white, % Background color of the content boxes
		textborder=rectangle, % Format of the border around content boxes, can be: none, bars, coils, triangles, rectangle, rounded, roundedsmall, roundedright or faded
		eyecatcher=false, % Set to false for ignoring the left logo in the title and move the title left
		headerheight=0.11\textheight, % Height of the header
		headershape=smallrounded, % Specify the rounded corner in the content box headers, can be: rectangle, small-rounded, roundedright, roundedleft or rounded
		headerfont=\Large\bf\textsc, % Large, bold and sans serif font in the headers of content boxes
		%textfont={\setlength{\parindent}{1.5em}}, % Uncomment for paragraph indentation
		linewidth=2pt % Width of the border lines around content boxes
	}
	%----------------------------------------------------------------------------------------
	%	TITLE SECTION 
	%----------------------------------------------------------------------------------------
	%
	{\includegraphics[height=4em]{logo.png}} % First university/lab logo on the left
	{\vspace{0.2em}\textbf{\fontsize{22.7}{35}\selectfont Fast simulation and prototyping with AFF3CT}\vspace{0.4em}} % Poster title
	{\textsc{\textcolor{marronUni}{Adrien Cassagne, Olivier Hartmann, Mathieu Léonardon,\\Thibaud Tonnellier, Guillaume Delbergue, Camille Leroux,\\Romain Tajan, Bertrand Le Gal, Christophe Jego,\\Olivier Aumage and Denis Barthou}}} % Author names and institution
	{\includegraphics[height=8em]{logo.png}} % Second university/lab logo on the right

\headerbox{AFF3CT ?}{name=aff3ct,column=0,row=0, span=3, height=0.30}
	{
		\begin{center}
			\includegraphics[width=0.90\linewidth]{chaine}
			\captionof{figure}{Simplified digital communication chain.}
		\end{center}

		\begin{itemize}[leftmargin=*, label=\color{bleuUni}\textbullet]
			\item dedicated to the simulation of digital communication chain,
%			\item Spécialisé dans le codage canal,
			% \item Permet de rejouer des performances de la littérature,
			\item reproduces state-of-the-art simulation results,
%			\item Favorise l'exploration avec un grand nombre de paramètres disponibles,
			\item can be used as an external library,
			\item portable : Windows, MacOSX and Linux; x86 and ARM CPUs,
			\item written in C++ : parallel, optimized source code (SIMD, multithreaded, multi-nodes),
			\item open-source (MIT license): {\color{bleuUni}\textbf{\url{http://aff3ct.github.io}}}.
		\end{itemize}
	}

	\headerbox{Fast simulation of channel coding}{name=code, column=3,row=0, span=4, span=3, height=0.30}
	{
		{\footnotesize
			\begin{tabular}{| c | c | c | c | c | c |}
				\hline 
				\textbf{Channel} & 
				\textbf{Standard} &
				\textbf{Réf.} &  
				\textbf{Decoder} &
				\textbf{Fixed} &
				\textbf{Throughput}\\
				\textbf{code} & 
				\textbf{} &
				\textbf{} &  
				\textbf{} &
				\textbf{point} &
				\textbf{(Mb/s)}\\				
				\hline 
				\hline 
				\multirow{3}{*}{\textbf{LDPC}}       & 5G, WiMAX,     & \multirow{3}{*}{\cite{legal15_1,legal15_2}}             & Sum-Product    & No & 5      \\
				                                     & WiFi, DVB-S2,  &                                                         & Min-Sum        & Yes & 50     \\
				                                     & 10GE, etc.     &                                                         & Gallager       & Yes & 10     \\
				\hline
				\hline
				\multirow{3}{*}{\textbf{Polar}}    &                & \multirow{3}{*}{\cite{legal15,cassagne15,cassagne16_2}} & SC             & Yes & 1000   \\
				                                     & 5G             &                                                         & SC-List        & Yes & 500    \\
				                                     &                &                                                         & SCAN           & No & 10     \\
				\hline
				\hline
				\multirow{3}{*}{\textbf{Turbo}}      & LTE (3G, 4G),  & \multirow{3}{*}{\cite{wcl,cassagne16_1}}                &                &     &        \\
				                                     & DVB-RCS,       &                                                         & Turbo BCJR     & Yes & 100    \\
				                                     & CCSDS, etc.    &                                                         &                &     &        \\
				\hline
				\hline
				\multirow{3}{*}{\textbf{BCH}}        & CD, DVD,       & \multirow{3}{*}{-}                                      &                &     &        \\
				                                     & SSD, DVB-S2,   &                                                         & Algebraic     & No & 100    \\
				                                     & etc.           &                                                         &                &     &        \\
				\hline
				\hline
				\multirow{3}{*}{\textbf{Convol.}} &                & \multirow{3}{*}{-}                                      & BCJR-MAP       & No & 10     \\
				                                     & NASA           &                                                         & BCJR-Linear    & No & 50     \\
				                                     &                &                                                         & BCJR-Max       & Yes & 1000   \\
				\hline
			\end{tabular}
		}
		\captionof{table}{Non-exhaustive list of supported channel codes / decoders in AFF3CT. Throughputs are given on an indicative basis for 1 physical x86 CPU core (Intel Core i5-5300U @ 2.30GHz).}
	}

	\headerbox{Plotting results with PyBER}{name=pyber, below=aff3ct, span=6}
	{
		\begin{center}
			\includegraphics[width=1\linewidth]{pyber2}
			\captionof{figure}{PyBER is an integrated visualization tool to plot BER/FER in AFF3CT.}
		\end{center}
	}

	\headerbox{Also in AFF3CT}{name=more, below=pyber, column=0, row=0, span=3, height=0.13}
	{
		\begin{itemize}[leftmargin=*, label=\color{bleuUni}\textbullet]
			\item Modulations : CPM, PSK, QAM, PAM, OOK,  SCMA\cite{ghaffari17},
			\item Channels : AWGN and Rayleigh,
			\item SystemC/TLM compatible interfaces for hardware in the loop,
			\item Multi-node support for execution on supercomputers,
			\item Generation tools for polar codes.
			% \begin{itemize}[label=\color{bleuUni}\textbullet]
				% \item Code optimisé pour les instructions SIMD.
			% \end{itemize}
		\end{itemize}
	}

	\headerbox{Conclusion}{name=conc, below=more, column=0, row=0, span=3, height=0.08}
	{
	    %\smallskip
		AFF3CT is a fast and flexible software tool for the simulation and prototyping of digital communication systems. It is open-source, portable and easily integrates in your environement.
	}

	\headerbox{Aknowledgement}{name=ack, below=conc, column=0, row=0, span=3, height=0.07}{
		\smallskip
		This work was supported by a grant overseen by the French National Research 
		Agency (ANR), ANR-15-CE25-0006-01.
	} 

	\headerbox{References}{name=ref, below=pyber, column=3,row=0, span=3, height=0.3075}
	{
		%\medskip
		\smallskip
		\smaller % Reduce the font size in this block
		\renewcommand{\section}[2]{\vskip 0.05em} % Get rid of the default "References" section title
		% \nocite{*} % Insert publications even if they are not cited in the poster

		\bibliographystyle{unsrt}
		\bibliography{biblio} % Use sample.bib as the bibliography file
	}

	\end{poster}
\end{document}